Skip to content

Get usage details

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get the current user pool usage details.

Method name

ManagementClient.get_usage_info

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Request Response

Type: CostGetCurrentUsageRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a CurrentUsageRespDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "usages": {
      "amount": "0",
      "current": "0",
      "experience": true,
      "modelCode": "SocialConnections",
      "modelName": "SocialConnections:Social account link"
    }
  }
}

Data Structure

CurrentUsageRespDto

NameTypeIs it requiredDescriptionSample value
usagesarrayYesCurrent usage entity Nested type: <a CurrentUsageDto.

CurrentUsageDto

NameTypeIs it required?DescriptionSample value
amountstringYesTotal equity0
currentstringYesCurrent equity usage0
experiencebooleanYesIs it a trial equity?true
modelCodestringYesEquity codeSocialConnections
modelNamestringYesEquity nameSocialConnections: social account links

Agent infrastructure for identity, memory, and web action.